"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPrettier = void 0;
const utility_1 = require("../../utility");
exports.addPrettier = {
    fn,
    label: 'prettier',
    desc: '格式化 (pkg husky/lint-staged/prettier) (prettier.config.js)',
};
async function fn() {
    const versions = await Promise.all([
        (0, utility_1.getLatestVersion)('husky'),
        (0, utility_1.getLatestVersion)('lint-staged'),
        (0, utility_1.getLatestVersion)('prettier'),
        (0, utility_1.getLatestVersion)('@magicdawn/prettier-config'),
    ]);
    const [huskyV, lintStagedV, prettierV, prettierConfigV] = versions.map((v) => `^${v}`);
    // deps
    this.fs.extendJSON(this.destinationPath('package.json'), {
        'scripts': {
            prepare: 'husky install',
        },
        'devDependencies': {
            '@magicdawn/prettier-config': prettierConfigV,
            'husky': huskyV,
            'lint-staged': lintStagedV,
            'prettier': prettierV,
        },
        'lint-staged': {
            '*.{js,jsx,ts,tsx,less,md}': ['prettier --write'],
        },
    });
    this.dotFilesGenerator._copyFiles([
        // git hook
        '.husky/pre-commit',
        // config files
        'prettier.config.js',
    ]);
}
