"use strict";
/**
 * 获取最新版本
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toLatest = exports.getLatestVersion = void 0;
const got_1 = __importDefault(require("got"));
const p_props_1 = __importDefault(require("p-props"));
/**
 * 获取一个包的最新版本
 */
async function getLatestVersion(pkgname) {
    const res = (await got_1.default.get(`https://registry.npmmirror.com/${pkgname}`, {
        responseType: 'json',
        resolveBodyOnly: true,
    }));
    return res?.['dist-tags'].latest;
}
exports.getLatestVersion = getLatestVersion;
async function toLatest(deps) {
    const input = {};
    for (const key of Object.keys(deps)) {
        input[key] = getLatestVersion(key).then((version) => `^${version}`);
    }
    return (0, p_props_1.default)(input);
}
exports.toLatest = toLatest;
